
import FromList from "@/components/FromList"
import { Button, Input, Text, Textarea, View } from "@tarojs/components"
import Taro, { setNavigationBarTitle, useRouter } from "@tarojs/taro"
import { useEffect, useState } from "react"
import "./index.scss"

export default ()=>{
  const {type} = useRouter().params;
  useEffect(()=>{
    if(type=="add"){
      setNavigationBarTitle({title:"添加码单信息"})
    }else{
      setNavigationBarTitle({title:"修改码单信息"})
    }
  },[])
  
  // 保存
  const [formData, setFormData] = useState({
    aa: "",
    bb:"",
    cc:"",
    dd:""
  })
  const handleSave = ()=>{
    Taro.navigateBack();
  }

  return (
    <View className="add-address">
      <FromList value={formData["aa"]} label="抬头" placeholder="请输入码单显示抬头信息"/>
      <FromList value={formData["bb"]} label="客户" placeholder="请输入码单显示客户名称"/>
      <FromList value={formData["bb"]} label="联系方式" placeholder="请输入码单显示联系号码"/>
      <View className="add-address-default">
        <Text>设为默认地址</Text>
        <View>1</View>
      </View>
      
      <Button hoverClass="none" className="add-address-save" onClick={handleSave}>保存</Button>
    </View>
  )
}
